## ppcttd100_src.zip

=== Makefile ===
TARGET = openttd

# Enable networking and debuging
ENABLE_NETWORK=1
#PSP_NETDEBUG=1
#DEBUG_SYM=1

OBJS = ai/default/default.o ai/trolly/build.o ai/trolly/pathfinder.o ai/trolly/shared.o ai/trolly/trolly.o ai/ai.o aircraft_cmd.o aircraft_gui.o airport_gui.o airport.o aystar.o bridge_gui.o callback_table.o clear_cmd.o command.o console_cmds.o console.o currency.o debug.o dedicated.o depot.o disaster_cmd.o dock_gui.o driver.o dummy_land.o economy.o engine_gui.o engine.o fileio.o gfxinit.o gfx.o graph_gui.o industry_cmd.o industry_gui.o intro_gui.o landscape.o main_gui.o map.o md5.o mersenne.o minilzo.o misc_cmd.o misc_gui.o misc.o mixer.o music/null_m.o music_gui.o namegen.o network_client.o network_data.o network_gamelist.o network_gui.o network.o network_server.o network_udp.o newgrf.o news_gui.o npf.o oldloader.o openttd.o order_cmd.o order_gui.o pathfind.o player_gui.o players.o queue.o rail_cmd.o rail_gui.o rail.o road_cmd.o road_gui.o roadveh_cmd.o roadveh_gui.o saveload.o screenshot.o sdl.o settings_gui.o settings.o ship_cmd.o ship_gui.o signs.o smallmap_gui.o sound/null_s.o sound/sdl_s.o sound.o spritecache.o station_cmd.o station_gui.o string.o strings.o subsidy_gui.o terraform_gui.o texteff.o thread.o tile.o town_cmd.o town_gui.o train_cmd.o train_gui.o tree_cmd.o tunnelbridge_cmd.o psp.o unmovable_cmd.o vehicle_gui.o vehicle.o  rev.o video/dedicated_v.o video/null_v.o video/sdl_v.o viewport.o water_cmd.o waypoint.o widget.o window.o oldpool.o newgrf_engine.o newgrf_station.o newgrf_cargo.o newgrf_config.o newgrf_gui.o newgrf_sound.o newgrf_spritegroup.o newgrf_text.o date.o depot_gui.o fios.o bmp.o bridge_map.o build_vehicle_gui.o elrail.o fontcache.o genworld.o helpers.o station_map.o genworld_gui.o road_map.o heightmap.o thread.o yapf/follow_track.o  yapf/yapf_common.o  yapf/yapf_rail.o  yapf/yapf_road.o  yapf/yapf_ship.o os_timer.o music.o tunnel_map.o tgp.o danzeff.o music/psp_timidity.o


#PRX_EXPORTS=os/psp/at3exports.exp

INCDIR =
ifdef ENABLE_NETWORK
CFLAGS = -O2 -Wall -DWITH_REV -DWITH_ZLIB -DWITH_PNG -DWITH_SDL -DPSP -DNO_THREADS -DENABLE_NETWORK
else
CFLAGS = -O2 -Wall -DWITH_REV -DWITH_ZLIB -DWITH_PNG -DWITH_SDL -DPSP -DNO_THREADS
endif
CXXFLAGS = $(CFLAGS) -fno-exceptions -fno-rtti
ASFLAGS = $(CFLAGS)

ifdef PSP_NETDEBUG
CFLAGS += -DPSP_NETDEBUG
endif

ifdef DEBUG_SYM
CFLAGS += -g -G0
endif

LIBDIR =
#LIBS = lib/TakeScreen/TakeScreen.a -lpspumd -lpng -lz
LIBS =
LDFLAGS =

# SDL
PSPBIN = $(PSPSDK)/../bin
CFLAGS += -I/usr/local/pspdev/psp/include/SDL -Dmain=SDL_main


ifdef ENABLE_NETWORK
LIBS += SDL_ttdpsp_main_root.o -L/usr/local/pspdev/psp/lib -L/usr/local/pspdev/psp/sdk/lib -lSDL_mixer -lSDL_image -lSDL -lm -lpspgu -lpspaudio -lpng -lz -ljpeg -lpspdebug -lpspdisplay -lpspge -lpspctrl -lpspsdk -lc -lpspnet -lpspnet_inet -lpspnet_apctl -lpspnet_resolver -lpsputility -lpspuser -lpspkernel -lpsphprm -lpsppower -lpspwlan -lstdc++ -lpspatrac3
else
LIBS += SDL_ttdpsp_main.o -L/usr/local/pspdev/psp/lib -L/usr/local/pspdev/psp/sdk/lib -lSDL_mixer -lSDL  -lm -lpspgu -lpspaudio -lpng -lz -ljpeg -lSDL_image -lpspdebug -lpspdisplay -lpspge -lpspctrl -lpspsdk -lc -lpspnet -lpspnet_inet -lpspnet_apctl -lpspnet_resolver -lpsputility -lpspuser -lpspkernel -lpsphprm -lpsppower -lpspwlan -lstdc++ -lpspatrac3
endif

# Timdity
CFLAGS += -I/usr/local/pspdev/psp/include/libtimidity
LIBS += -lpspaudiolib -lpspaudio -ltimidity

#BUILD_PRX = 1
#USE_PSPSDK_LIBC = 1

EXTRA_TARGETS = EBOOT.PBP
PSP_EBOOT_TITLE = Openttd

PSPSDK=$(shell psp-config --pspsdk-path)
include build.mak

=== os/macosx/Makefile ===
# $Id: Makefile 3214 2005-11-17 19:43:37Z bjarni $
# This makefile is not a standalone makefile, but is called from the general one
# it contains targets specific to MacOS X

ifdef MACOSX_BUILD

DEPS_MAGIC := $(shell mkdir -p $(sort $(dir $(OBJS:%.o=.OSX/%))))

ifdef OTTD_PPC
OTTD_PPC    :=.OSX/openttd.ppc
OBJS_ppc    := $(OBJS:%.o=.OSX/%.o.ppc)
ifndef CC_PPC
CC_PPC      := $(CC) -arch ppc
endif
ifndef CXX_PPC
CXX_PPC     := $(CXX) -arch ppc
endif
endif

ifdef OTTD_i386
OTTD_i386   :=.OSX/openttd.i386
OBJS_i386   := $(OBJS:%.o=.OSX/%.o.i386)
ifndef CC_I386
CC_I386     := $(CC) -arch i386
endif
ifndef CXX_I386
CXX_I386    := $(CXX) -arch i386
endif
endif

ifdef OTTD_PPC970
OTTD_PPC970 :=.OSX/openttd.ppc970
OBJS_ppc970 := $(OBJS:%.o=.OSX/%.o.ppc970)
ifndef CC_PPC970
CC_PPC970   := $(CC) -arch ppc970
endif
ifndef CXX_PPC970
CXX_PPC970  := $(CXX) -arch ppc970
endif
endif

ifndef LIPO
LIPO := lipo
endif
ifndef STRIP
STRIP := strip
endif

# targets to link OpenTTD
$(TTD): $(OTTD_PPC) $(OTTD_i386) $(OTTD_PPC970)
	@echo '===> Linking $@ into a single file'
	$(Q)$(LIPO) -create -output $@ $(OTTD_PPC) $(OTTD_i386) $(OTTD_PPC970)

$(OTTD_PPC): $(MAKE_CONFIG) $(OBJS_ppc)
	@echo '[PowerPC] Linking $(TTD)'
	$(Q)$(CXX_PPC) $(LDFLAGS) $(TTDLDFLAGS) $(OBJS_ppc) $(LIBS) $(LDFLAGS_PPC) -o $@

$(OTTD_i386): $(MAKE_CONFIG) $(OBJS_i386)
	@echo '[i386] Linking $(TTD)'
	$(Q)$(CXX_I386) $(LDFLAGS) $(TTDLDFLAGS) $(OBJS_i386) $(LIBS) $(LDFLAGS_i386) -o $@

$(OTTD_PPC970): $(MAKE_CONFIG) $(OBJS_ppc970)
	@echo '[PowerPC G5] Linking $(TTD)'
	$(Q)$(CXX_PPC970) $(LDFLAGS) $(TTDLDFLAGS) $(OBJS_ppc970) $(LIBS) $(LDFLAGS_PPC) $(G5_FLAGS) -o $@

# targets to compile each c, m and cpp file
.OSX/%.o.ppc: %.c      .deps/%.d
	@echo '[PowerPC] Compiling $<'
	$(Q)$(CC_PPC) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_PPC) $(CDEFS) -c -o $@ $<

.OSX/%.o.ppc: %.cpp    .deps/%.d
	@echo '[PowerPC] Compiling $<'
	$(Q)$(CXX_PPC) $(CFLAGS) $(CFLAGS_PPC) $(CDEFS) -c -o $@ $<

.OSX/%.o.ppc: %.m      .deps/%.d
	@echo '[PowerPC] Compiling $<'
	$(Q)$(CC_PPC) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_PPC) $(CDEFS) -c -o $@ $<

.OSX/%.o.i386: %.c     .deps/%.d
	@echo '[i386] Compiling $<'
	$(Q)$(CC_I386) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_i386) $(CDEFS) -c -o $@ $<

.OSX/%.o.i386: %.cpp   .deps/%.d
	@echo '[i386] Compiling $<'
	$(Q)$(CXX_I386) $(CFLAGS) $(CFLAGS_i386) $(CDEFS) -c -o $@ $<

.OSX/%.o.i386: %.m     .deps/%.d
	@echo '[i386] Compiling $<'
	$(Q)$(CC_I386) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_i386) $(CDEFS) -c -o $@ $<

.OSX/%.o.ppc970: %.c   .deps/%.d
	@echo '[PowerPC G5] Compiling $<'
	$(Q)$(CC_PPC970) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_PPC) $(G5_FLAGS) $(CDEFS) -c -o $@ $<

.OSX/%.o.ppc970: %.cpp .deps/%.d
	@echo '[PowerPC G5] Compiling $<'
	$(Q)$(CXX_PPC970) $(CFLAGS) $(CFLAGS_PPC) $(G5_FLAGS) $(CDEFS) -c -o $@ $<

.OSX/%.o.ppc970: %.m   .deps/%.d
	@echo '[PowerPC G5] Compiling $<'
	$(Q)$(CC_PPC970) $(CC_CFLAGS) $(CFLAGS) $(CFLAGS_PPC) $(G5_FLAGS) $(CDEFS) -c -o $@ $<

endif

# manual strip, as the -s option fails
$(OSX_STRIP): $(TTD)
	$(Q)$(STRIP) openttd


# build the bundle. OSX wants to keep apps in bundles, so we will give it one
# the good thing about bundles is that you can keep extra files in them, so we keep lng files and a data dir in it

BUILD_OSX_BUNDLE: $(TTD) $(OSX_STRIP)
	@echo '===> Building application bundle'
	$(Q)rm -fr "$(OSXAPP)"
	$(Q)mkdir -p "$(OSXAPP)"/Contents/MacOS
	$(Q)mkdir -p "$(OSXAPP)"/Contents/Resources
	$(Q)mkdir -p "$(OSXAPP)"/Contents/Data
	$(Q)mkdir -p "$(OSXAPP)"/Contents/Lang
	$(Q)echo "APPL????" > "$(OSXAPP)"/Contents/PkgInfo
	$(Q)cp os/macosx/openttd.icns "$(OSXAPP)"/Contents/Resources/openttd.icns
	$(Q)os/macosx/plistgen.sh "$(OSXAPP)" "$(REV)"
	$(Q)cp -R data/* "$(OSXAPP)"/Contents/Data/
	$(Q)cp os/macosx/splash.png "$(OSXAPP)"/Contents/Data/
	$(Q)cp lang/*.lng "$(OSXAPP)"/Contents/Lang/
	$(Q)cp $(TTD) "$(OSXAPP)"/Contents/MacOS/$(TTD)

# make the release disk image. Should only be used with releases and is a good and fast way to make sure to remember all the needed files
release: all
	@echo '===> Building release disk image'
	$(Q)mkdir -p "OpenTTD $(REV)"
	$(Q)mkdir -p "OpenTTD $(REV)/docs"
	$(Q)mkdir -p "OpenTTD $(REV)/scenario"
	$(Q)cp -R $(OSXAPP) "OpenTTD $(REV)/"
	$(Q)cp docs/OSX_install_instructions.txt "OpenTTD $(REV)/How to install (please read).txt"
	$(Q)cp readme.txt "OpenTTD $(REV)/docs/"
	$(Q)cp COPYING "OpenTTD $(REV)/docs/"
	$(Q)cp changelog.txt "OpenTTD $(REV)/docs/"
	$(Q)cp known-bugs.txt "OpenTTD $(REV)/known-bugs.txt"
	$(Q)cp -R scenario/* "OpenTTD $(REV)/scenario/"
	$(Q)hdiutil create -ov -format UDZO -srcfolder "OpenTTD $(REV)" openttd-"$(REV)"-osx.dmg
	$(Q)rm -fr "OpenTTD $(REV)"

$(OSX): $(TTD) $(OSX_STRIP) BUILD_OSX_BUNDLE

.PHONY: release BUILD_OSX_BUNDLE

=== os/debian/changelog ===
openttd (0.5.0~rc5-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Thu,  8 Feb 2007 13:37:31 +0100

openttd (0.5.0~rc4-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Wed, 17 Jan 2007 01:37:31 +0100

openttd (0.5.0~rc3-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@xanthe>  Sun,  7 Jan 2007 13:43:45 +0100

openttd (0.5.0~rc2-1) unstable; urgency=low

  * New upstream release.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Fri, 22 Dec 2006 11:03:46 +0100

openttd (0.4.8-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.7.2

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 14 Aug 2006 16:28:50 +0200

openttd (0.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 27 Mar 2006 23:40:00 +0200

openttd (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Remove old terminal messages and make sure that debconf is always called.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Wed,  8 Mar 2006 23:57:35 +0100

openttd (0.4.5-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.6.2
  * s/timdity/timidity/ in README.Debian.
  * Use debconf for prompting instead of terminal.
  * Fix makefile to create icon dir if necessary.
  * Fix syntax error in manpage.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Wed,  1 Feb 2006 01:56:39 +0100

openttd (0.4.0.1-5) unstable; urgency=low

  * Fixed capitalization of menu item.
  * Install xpm icon to /usr/share/pixmaps and don't install png icon, since
    it is not used.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 22 Sep 2005 10:35:09 +0200

openttd (0.4.0.1-4) unstable; urgency=low

  * Changelog was distributed twice.
  * Put openttd in contrib.

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Mon, 19 Sep 2005 23:49:18 +0200

openttd (0.4.0.1-3) unstable; urgency=low

  * Clarified installing instructions in README.Debian

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 16 Jun 2005 03:51:13 +0200

openttd (0.4.0.1-2) unstable; urgency=low

  * Added Suggests: timidity, freepats

 -- Matthijs Kooijman <m.kooijman@student.utwente.nl>  Thu, 16 Jun 2005 03:34:03 +0200

openttd (0.4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 23 May 2005 13:04:24 +0200

openttd (0.4.0-1) unstable; urgency=low

  * New upstream release

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 16 May 2005 00:16:17 +0200

openttd (0.3.6-1) unstable; urgency=low

  * New upstream release
  * Modifed Makefile to install xpm icon and scenarios in /usr/share/games/openttd/
  * Added openttd.32.xpm, openttd.64.xpm was too big

 -- root <root@katherina.student.utwente.nl>  Tue, 25 Jan 2005 19:21:08 +0100

openttd (0.3.5-2) unstable; urgency=low

  * Fixed some lintian warnings.
  * Added openttd.64.xpm (icon for menu).

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Mon, 27 Dec 2004 01:51:36 +0100

openttd (0.3.5-1) unstable; urgency=low

  * Initial Release.

 -- Matthijs Kooijman <matthijs@katherina.student.utwente.nl>  Fri, 24 Dec 2004 02:58:47 +0100

=== os/debian/control ===
Source: openttd
Section: contrib/games
Priority: optional
Maintainer: Matthijs Kooijman <m.kooijman@student.utwente.nl>
Build-Depends: debhelper (>= 4.0.0), dpatch, libsdl-dev, zlib1g-dev, libpng-dev
Standards-Version: 3.7.2

Package: openttd
Architecture: any
Depends: ${shlibs:Depends}, debconf
Suggests: timidity, freepats
Description: reimplementation of Transport Tycoon Deluxe with enhancements
 A reimplementation of the Microprose game "Transport Tycoon Deluxe" with lots
 of new features and enhancements.
 You require the data files of the original Transport Tycoon Deluxe
 for Windows to play the game. You have to MANUALLY copy them to the
 game data directory! (see README.Debian for details)
 .
 Homepage: http://www.openttd.org/

=== os/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: configure build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	
	rm Makefile.config || true
	$(MAKE) PREFIX=/usr MIDI=/usr/bin/timidity INSTALL=1 BINARY_DIR=games DATA_DIR=share/games/openttd ICON_DIR=share/pixmaps PERSONAL_DIR=.openttd USE_HOMEDIR=1

	#/usr/bin/docbook-to-man debian/openttd.sgml > openttd.1

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm Makefile.config || true

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/openttd.
	$(MAKE) DEST_DIR=debian/openttd install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog.txt
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman docs/openttd.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure patch
